HomeGuidesAPI Reference
ChangelogHelp CenterCommunityContact Us
API Reference

Get Object Records for Profile

🚧

This endpoint is in beta and subject to change.

A beta revision header (2026-07-15.pre) is required to use our beta APIs. Klaviyo APIs in beta are not intended for use in production. See our versioning and deprecation policy for more information.

Get object records related to a profile.

Both an object_type_id and an object_type_relationship_id filter are required, combined in a single filter parameter, e.g. ?filter=and(equals(object_type_id,'<object_type_id>'),equals(object_type_relationship_id,'<object_type_relationship_id>')).

Retrieve these IDs from GET /api/object-types/ and GET /api/object-types/{id}/relationships/profile-object-types/.

Records can be sorted by date_added in ascending and descending order, e.g. ?sort=date_added or ?sort=-date_added.

Rate limits:
Burst: 10/s
Steady: 150/m

Scopes:
custom-objects:read
profiles:read

OpenAPI Spec

Path Params
string
required

The ID of the profile.

Query Params
fields[object-record]
array of strings
fields[object-record]
Allowed:
string
required

For more information please visit https://developers.klaviyo.com/en/v2026-07-15.pre/reference/api-overview#filtering
Allowed field(s)/operator(s):
object_type_id: equals (string)
object_type_relationship_id: equals (string)

integer
1 to 100
Defaults to 20

Default: 20. Min: 1. Max: 100.

Allowed:
Headers
string
required
Defaults to 2026-07-15.pre

API endpoint revision (format: YYYY-MM-DD[.suffix])

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/vnd.api+json